#include "descriptor/descriptor.h"


int main(void)
{
	ITEM Ala_missili, Ala_post, Aletta1, Aletta2, Aletta3, Aletta4, Aletta5, Aletta6, Aletta7, Aletta8, Centro, Centro2, Cerchione, Cerchione1, Cerchione2, Cilindro_obl1, Cilindro_obl2, Cilindro_vert1, Cilindro_vert2, Elica_centr, Elica_coda, Gomma, Gomma1, Gomma2, Missile1, Missile2, Missile3, Missile4, Missile5, Missile6, Missile7, Missile8, Motore_dx, Motore_sx, Muso1, Muso2, Parall, Piano, Piram, Razzi1, Razzi2, Serbatoio, Supp_miss1, Supp_miss2, Supp_miss3, Supp_miss4, Timone, Vetro;

	ITEM scena;

	ITEM azzurro, blu, ferro, grigio, grigio1,  grigio2, nero, rosso;

	set_background(1, 1, 1, FALSE);
	set_ambient_light(1, 1, 1, 0.5);
	create_point_light(20.2, 12.3, 9.1, 1, 1, 1, 0.7, 100, "luce");

	Ala_missili = read_nurbs("Ala_missili.db");
	Ala_post = read_nurbs("Ala_post.db");
	Aletta1 = read_nurbs("Aletta1.db");
	Aletta2 = read_nurbs("Aletta2.db");
	Aletta3 = read_nurbs("Aletta3.db");
	Aletta4 = read_nurbs("Aletta4.db");
	Aletta5 = read_nurbs("Aletta5.db");
	Aletta6 = read_nurbs("Aletta6.db");
	Aletta7 = read_nurbs("Aletta7.db");
	Aletta8 = read_nurbs("Aletta8.db");
	Centro = read_nurbs("Centro.db");
	Centro2 = read_nurbs("Centro2.db");
	Cerchione = read_nurbs("Cerchione.db");
	Cerchione1 = read_nurbs("Cerchione1.db");
	Cerchione2 = read_nurbs("Cerchione2.db");
	Cilindro_obl1 = read_nurbs("Cilindro_obl1.db");
	Cilindro_obl2 = read_nurbs("Cilindro_obl2.db");
	Cilindro_vert1 = read_nurbs("Cilindro_vert1.db");
	Cilindro_vert2 = read_nurbs("Cilindro_vert2.db");
	Elica_centr = read_nurbs("Elica_centr.db");
	Elica_coda = read_nurbs("Elica_coda.db");
	Gomma = read_nurbs("Gomma.db");
	Gomma1 = read_nurbs("Gomma1.db");
	Gomma2 = read_nurbs("Gomma2.db");
	Missile1 = read_nurbs("Missile1.db");
	Missile2 = read_nurbs("Missile2.db");
	Missile3 = read_nurbs("Missile3.db");
	Missile4 = read_nurbs("Missile4.db");
	Missile5 = read_nurbs("Missile5.db");
	Missile6 = read_nurbs("Missile6.db");
	Missile7 = read_nurbs("Missile7.db");
	Missile8 = read_nurbs("Missile8.db");
	Motore_dx = read_nurbs("Motore_dx.db");
	Motore_sx = read_nurbs("Motore_sx.db");
	Muso1 = read_nurbs("Muso1.db");
	Muso2 = read_nurbs("Muso2.db");
	Parall = read_nurbs("Parall.db");
	Piano = read_nurbs("Piano.db");
	Piram = read_nurbs("Piram.db");
	Razzi1 = read_nurbs("Razzi1.db");
	Razzi2 = read_nurbs("Razzi2.db");
	Serbatoio  = read_nurbs("Serbatoio.db");
	Supp_miss1 = read_nurbs("Supp_miss1.db");
	Supp_miss2 = read_nurbs("Supp_miss2.db");
	Supp_miss3 = read_nurbs("Supp_miss3.db");
	Supp_miss4 = read_nurbs("Supp_miss4.db");
	Timone = read_nurbs("Timone.db");
	Vetro = read_nurbs("Vetro.db");

	azzurro = create_attribute("azzurro");
	set_color(azzurro, 0.00, 1.00, 1.00, 1.00, 1.00);
	set_reflectivity(azzurro, 0.25, 1);

	blu = create_attribute("blu");
	set_color(blu, 0.00,  0.00, 1.00, 1.00, 1.00);
	set_reflectivity(blu,  0.5, 1);

	ferro = create_attribute("ferro");
	set_color(ferro, 0.70, 0.70, 0.70, 0.50, 0.50);
	set_reflectivity(ferro, 0.25, 1);

	grigio = create_attribute("grigio");
	set_color(grigio, 0.50, 0.50, 0.50, 0.50, 0.50);
	set_reflectivity(grigio, 0.25, 1);

	grigio1 = create_attribute("grigio1");
	set_color(grigio1, 0.70, 0.70, 0.70, 1.00, 1.00);
	set_reflectivity(grigio1, 0.25, 1);

	grigio2 = create_attribute("grigio2");
	set_color(grigio2, 0.30, 0.30, 0.30, 0.50, 0.50);
	set_reflectivity(grigio2, 0.25, 1);

	nero = create_attribute("nero");
	set_color(nero, 0.00, 0.00, 0.00, 1.00, 1.00);
	set_reflectivity(nero, 0.25, 1);

	rosso = create_attribute("rosso");
	set_color(rosso, 0.90, 0.00, 0.00, 1.00, 1.00);
	set_reflectivity(rosso, 0.25, 1);

	set_translate (Piano, -8.5, -1.0, 0.0);
	set_scale (Piano, 3.0, 2.0, 2.0);

	set_translate(Vetro, -6.25, 0.05, 0.64);
	set_projection_texture(Vetro, grigio, "textures/Vetro.hr", 1, 1, 1, 1);
	set_translate(Vetro, 6.25, -0.05, -0.64);

	set_translate(Elica_centr, -4.56, 0.0, -1.45);
	set_z_rotate(Elica_centr, 45, 1);
	set_scale(Elica_centr, 0.15, 0.15, 0.15);
	set_projection_texture(Elica_centr, grigio, "textures/Elica.hr", 2, 1, 1, 1);
	set_scale(Elica_centr, 6.6, 6.6, 6.6);
	set_z_rotate(Elica_centr, -45, 1);
	set_translate(Elica_centr, 4.56, 0.0, 1.45);

	set_translate(Elica_coda, 3.1, -0.2, -1.6);
	set_y_rotate(Elica_coda, 45, 1);
	set_projection_texture(Elica_coda, grigio, "textures/Elica.hr", 1, 1, 1, 1);
	set_y_rotate(Elica_coda, -45, 1);
	set_translate(Elica_coda, -3.1, 0.2, 1.6);

	set_attribute(Piano, blu);
	set_attribute(Centro, ferro);
	set_attribute(Centro2, ferro);
	set_attribute(Aletta1, rosso);
	set_attribute(Aletta2, rosso);
	set_attribute(Aletta3, rosso);
	set_attribute(Aletta4, rosso);
	set_attribute(Aletta5, rosso);
	set_attribute(Aletta6, rosso);
	set_attribute(Aletta7, rosso);
	set_attribute(Aletta8, rosso);
	set_attribute(Ala_missili, grigio);
	set_attribute(Ala_post, grigio);
	set_attribute(Cerchione, grigio);
	set_attribute(Cerchione1, grigio);
	set_attribute(Cerchione2, grigio);
	set_attribute(Cilindro_obl1, grigio);
	set_attribute(Cilindro_obl2, grigio);
	set_attribute(Cilindro_vert1, grigio);
	set_attribute(Cilindro_vert2, grigio);
	set_attribute(Muso1, grigio);
	set_attribute(Muso2, grigio);
	set_attribute(Parall, grigio);
	set_attribute(Piram, grigio);
	set_attribute(Razzi1, grigio);
	set_attribute(Razzi2, grigio);
	set_attribute(Serbatoio, grigio);
	set_attribute(Supp_miss1, grigio);
	set_attribute(Supp_miss2, grigio);
	set_attribute(Supp_miss3, grigio);
	set_attribute(Supp_miss4, grigio);
	set_attribute(Timone, grigio);
	set_attribute(Missile1, grigio1);
	set_attribute(Missile2, grigio1);
	set_attribute(Missile3, grigio1);
	set_attribute(Missile4, grigio1);
	set_attribute(Missile5, grigio1);
	set_attribute(Missile6, grigio1);
	set_attribute(Missile7, grigio1);
	set_attribute(Missile8, grigio1);
	set_attribute(Motore_dx, grigio2);
	set_attribute(Motore_sx, grigio2);
	set_attribute(Gomma, nero);
	set_attribute(Gomma1, nero);
	set_attribute(Gomma2, nero);

	scena = create_list(Centro, "scena");
	scena = insert_in_list(scena, Ala_missili);
	scena = insert_in_list(scena, Ala_post);
	scena = insert_in_list(scena, Aletta1);
	scena = insert_in_list(scena, Aletta2);
	scena = insert_in_list(scena, Aletta3);
	scena = insert_in_list(scena, Aletta4);
	scena = insert_in_list(scena, Aletta5);
	scena = insert_in_list(scena, Aletta6);
	scena = insert_in_list(scena, Aletta7);
	scena = insert_in_list(scena, Aletta8);
	scena = insert_in_list(scena, Centro2);
	scena = insert_in_list(scena, Cerchione);
	scena = insert_in_list(scena, Cerchione1);
	scena = insert_in_list(scena, Cerchione2);
	scena = insert_in_list(scena, Cilindro_obl1);
	scena = insert_in_list(scena, Cilindro_obl2);
	scena = insert_in_list(scena, Cilindro_vert1);
	scena = insert_in_list(scena, Cilindro_vert2);
	scena = insert_in_list(scena, Elica_centr);
	scena = insert_in_list(scena, Elica_coda);
	scena = insert_in_list(scena, Gomma);
	scena = insert_in_list(scena, Gomma1);
	scena = insert_in_list(scena, Gomma2);
	scena = insert_in_list(scena, Missile1);
	scena = insert_in_list(scena, Missile2);
	scena = insert_in_list(scena, Missile3);
	scena = insert_in_list(scena, Missile4);
	scena = insert_in_list(scena, Missile5);
	scena = insert_in_list(scena, Missile6);
	scena = insert_in_list(scena, Missile7);
	scena = insert_in_list(scena, Missile8);
	scena = insert_in_list(scena, Motore_dx);
	scena = insert_in_list(scena, Motore_sx);
	scena = insert_in_list(scena, Muso1);
	scena = insert_in_list(scena, Muso2);
	scena = insert_in_list(scena, Parall);
	scena = insert_in_list(scena, Piano);
	scena = insert_in_list(scena, Piram);
	scena = insert_in_list(scena, Razzi1);
	scena = insert_in_list(scena, Razzi2);
	scena = insert_in_list(scena, Serbatoio);
	scena = insert_in_list(scena, Supp_miss1);
	scena = insert_in_list(scena, Supp_miss2);
	scena = insert_in_list(scena, Supp_miss3);
	scena = insert_in_list(scena, Supp_miss4);
	scena = insert_in_list(scena, Timone);
	scena = insert_in_list(scena, Vetro);
	save_scene("Apache.md", "Apache", scena);

	return (0);
}
